
use builtin;
use str;

set edit:completion:arg-completer[sq] = {|@words|
    fn spaces {|n|
        builtin:repeat $n ' ' | str:join ''
    }
    fn cand {|text desc|
        edit:complex-candidate $text &display=$text' '(spaces (- 14 (wcswidth $text)))$desc
    }
    var command = 'sq'
    for word $words[1..-1] {
        if (str:has-prefix $word '-') {
            break
        }
        set command = $command';'$word
    }
    var completions = [
        &'sq'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand encrypt 'Encrypt a message'
            cand decrypt 'Decrypt a message'
            cand sign 'Sign messages or data files'
            cand verify 'Verify signed messages or detached signatures'
            cand inspect 'Inspect data, like file(1)'
            cand cert 'Manage certificates'
            cand key 'Manage keys'
            cand pki 'Authenticate certs using the Web of Trust'
            cand autocrypt 'Communicate certificates using Autocrypt'
            cand network 'Retrieve and publish certificates over the network'
            cand toolbox 'Tools for developers, maintainers, and forensic specialists'
            cand version 'Detailed version and output version information'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;encrypt'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --recipient-email 'Encrypt to all certificates that can be authenticated for the specified email address'
            cand --recipient-userid 'Encrypt to all certificates that can be authenticated for the specified User ID'
            cand --recipient-cert 'Encrypt to the named certificates'
            cand --recipient-file 'Encrypt to all certificates in CERT_RING_FILE'
            cand --set-metadata-time 'Set time for encrypted file as metadata'
            cand --signer-file 'Sign the message using the key in KEY_FILE'
            cand --signer-key 'Sign the message using the specified key on the key store'
            cand --private-key-store 'Provide parameters for private key store'
            cand --encrypt-for 'Select what kind of keys are considered for encryption.'
            cand --compression 'Select compression scheme to use'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand --set-metadata-filename 'Set the filename of the encrypted file as metadata'
            cand -s 'Prompt to add a password to encrypt with'
            cand --symmetric 'Prompt to add a password to encrypt with'
            cand --use-expired-subkey 'Fall back to expired encryption subkeys'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;decrypt'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand -n 'Set the threshold of valid signatures to N'
            cand --signatures 'Set the threshold of valid signatures to N'
            cand --signer-file 'Verify signatures using the certificates in CERT_FILE'
            cand --recipient-file 'Decrypt the message using the key in KEY_FILE'
            cand --private-key-store 'Provide parameters for private key store'
            cand --session-key 'Decrypt an encrypted message using SESSION-KEY'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --dump-session-key 'Print the session key to stderr'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;sign'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --private-key-store 'Provide parameters for private key store'
            cand --merge 'Merge signatures from the input and SIGNED-MESSAGE'
            cand --signer-file 'Sign the message using the key in KEY_FILE'
            cand --signer-key 'Sign the message using the specified key on the key store'
            cand --notation 'Add a notation to the certification.'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand --detached 'Create a detached signature'
            cand --cleartext-signature 'Create a cleartext signature'
            cand -a 'Append a signature to existing signature'
            cand --append 'Append a signature to existing signature'
            cand -n 'Sign a message and all existing signatures'
            cand --notarize 'Sign a message and all existing signatures'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;verify'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --detached 'Verify a detached signature'
            cand -n 'Set the threshold of valid signatures to N'
            cand --signatures 'Set the threshold of valid signatures to N'
            cand --signer-file 'Verify signatures using the certificate in CERT_FILE'
            cand --signer-cert 'Verify signatures using the specified certificate'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;inspect'= {
            cand --cert 'Read the specified certificate from the certificate store'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --certifications 'Print third-party certifications'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;cert'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand import 'Import certificates into the local certificate store'
            cand export 'Export certificates from the local certificate store'
            cand lint 'Check certificates for issues'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;cert;import'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;cert;export'= {
            cand --cert 'Return certificates that have the specified fingerprint or key ID'
            cand --key 'Return certificates where the primary key or a subkey has the specified fingerprint or key ID'
            cand --userid 'Return certificates that have a User ID that matches exactly, including case'
            cand --grep 'Return certificates that have a User ID that contains the string, case insensitively'
            cand --email 'Return certificates that have a User ID with the specified email address, case insensitively'
            cand --domain 'Return certificates that have a User ID with an email address from the specified domain'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand --all 'Export all certificates'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;cert;lint'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -q 'Quiet; does not output any diagnostics'
            cand --quiet 'Quiet; does not output any diagnostics'
            cand -F 'Attempts to fix certificates, when possible'
            cand --fix 'Attempts to fix certificates, when possible'
            cand -e 'When fixing a certificate, the fixed certificate is exported without any secret key material.  Using this switch causes any secret key material to also be exported'
            cand --export-secret-keys 'When fixing a certificate, the fixed certificate is exported without any secret key material.  Using this switch causes any secret key material to also be exported'
            cand -k 'If set, outputs a list of fingerprints, one per line, of certificates that have issues.  This output is intended for use by scripts'
            cand --list-keys 'If set, outputs a list of fingerprints, one per line, of certificates that have issues.  This output is intended for use by scripts'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;cert;help'= {
            cand import 'Import certificates into the local certificate store'
            cand export 'Export certificates from the local certificate store'
            cand lint 'Check certificates for issues'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;cert;help;import'= {
        }
        &'sq;cert;help;export'= {
        }
        &'sq;cert;help;lint'= {
        }
        &'sq;cert;help;help'= {
        }
        &'sq;key'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand list 'List keys managed by the key store'
            cand generate 'Generate a new key'
            cand import 'Import keys into the key store'
            cand export 'Export keys from the key store'
            cand password 'Change password protecting secrets'
            cand expire 'Change expiration times'
            cand revoke 'Revoke a certificate'
            cand userid 'Manage User IDs'
            cand subkey 'Manage Subkeys'
            cand attest-certifications 'Attest to third-party certifications'
            cand adopt 'Bind keys from one certificate to another'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;list'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;generate'= {
            cand -u 'Add a user ID to the key'
            cand --userid 'Add a user ID to the key'
            cand -c 'Select the cryptographic algorithms for the key'
            cand --cipher-suite 'Select the cryptographic algorithms for the key'
            cand --expiry 'Define EXPIRY for the key as ISO 8601 formatted string or custom duration.'
            cand --can-encrypt 'Add an encryption-capable subkey [default: universal]'
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --rev-cert 'Write the revocation certificate to FILE'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --allow-non-canonical-userids 'Don''t reject user IDs that are not in canonical form'
            cand --no-userids 'Create a key without any user IDs'
            cand --with-password 'Protect the key with a password'
            cand --can-sign 'Add a signing-capable subkey (default)'
            cand --cannot-sign 'Add no signing-capable subkey'
            cand --can-authenticate 'Add an authentication-capable subkey (default)'
            cand --cannot-authenticate 'Add no authentication-capable subkey'
            cand --cannot-encrypt 'Add no encryption-capable subkey'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;import'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;export'= {
            cand --cert 'Export the specified certificate'
            cand --key 'Export the specified key'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;password'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --old-password-file 'File containing password to decrypt key'
            cand --new-password-file 'File containing password to encrypt key'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --clear 'Emit a key with unencrypted secrets'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;expire'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --subkey 'Change expiration of this subkey, not the entire key'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;revoke'= {
            cand --certificate-file 'The certificate to revoke'
            cand --revocation-file 'Sign the revocation certificate using the key in KEY_FILE'
            cand --private-key-store 'Provide parameters for private key store'
            cand --notation 'Add a notation to the certification.'
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;userid'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand add 'Add a User ID'
            cand revoke 'Revoke a User ID'
            cand strip 'Strip a User ID'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;userid;add'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --private-key-store 'Provide parameters for private key store'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --allow-non-canonical-userids 'Don''t reject user IDs that are not in canonical form'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;userid;revoke'= {
            cand --certificate-file 'The certificate containing the User ID to revoke'
            cand --revocation-file 'Sign the revocation certificate using the key in KEY_FILE'
            cand --private-key-store 'Provide parameters for private key store'
            cand --notation 'Add a notation to the certification.'
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;userid;strip'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand -u 'User IDs to strip'
            cand --userid 'User IDs to strip'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;userid;help'= {
            cand add 'Add a User ID'
            cand revoke 'Revoke a User ID'
            cand strip 'Strip a User ID'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;userid;help;add'= {
        }
        &'sq;key;userid;help;revoke'= {
        }
        &'sq;key;userid;help;strip'= {
        }
        &'sq;key;userid;help;help'= {
        }
        &'sq;key;subkey'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand add 'Add a newly generated Subkey'
            cand revoke 'Revoke a subkey'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;subkey;add'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --private-key-store 'Provide parameters for private key store'
            cand -c 'Select the cryptographic algorithms for the subkey'
            cand --cipher-suite 'Select the cryptographic algorithms for the subkey'
            cand --expiry 'Define EXPIRY for the subkey as ISO 8601 formatted string or custom duration.'
            cand --can-encrypt 'Add an encryption capability to subkey [default: universal]'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand --can-sign 'Add signing capability to subkey'
            cand --can-authenticate 'Add authentication capability to subkey'
            cand --with-password 'Protect the subkey with a password'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;subkey;revoke'= {
            cand --certificate-file 'The certificate containing the subkey to revoke'
            cand --revocation-file 'Sign the revocation certificate using the key in KEY_FILE'
            cand --private-key-store 'Provide parameters for private key store'
            cand --notation 'Add a notation to the certification.'
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;subkey;help'= {
            cand add 'Add a newly generated Subkey'
            cand revoke 'Revoke a subkey'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;subkey;help;add'= {
        }
        &'sq;key;subkey;help;revoke'= {
        }
        &'sq;key;subkey;help;help'= {
        }
        &'sq;key;attest-certifications'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --none 'Remove all prior attestations'
            cand --all 'Attest to all certifications [default]'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;adopt'= {
            cand -k 'Add the key or subkey KEY to the TARGET-KEY'
            cand --key 'Add the key or subkey KEY to the TARGET-KEY'
            cand --expire 'Make adopted subkeys expire at the given time'
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --allow-broken-crypto 'Allow adopting keys from certificates using broken cryptography'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;help'= {
            cand list 'List keys managed by the key store'
            cand generate 'Generate a new key'
            cand import 'Import keys into the key store'
            cand export 'Export keys from the key store'
            cand password 'Change password protecting secrets'
            cand expire 'Change expiration times'
            cand revoke 'Revoke a certificate'
            cand userid 'Manage User IDs'
            cand subkey 'Manage Subkeys'
            cand attest-certifications 'Attest to third-party certifications'
            cand adopt 'Bind keys from one certificate to another'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;help;list'= {
        }
        &'sq;key;help;generate'= {
        }
        &'sq;key;help;import'= {
        }
        &'sq;key;help;export'= {
        }
        &'sq;key;help;password'= {
        }
        &'sq;key;help;expire'= {
        }
        &'sq;key;help;revoke'= {
        }
        &'sq;key;help;userid'= {
            cand add 'Add a User ID'
            cand revoke 'Revoke a User ID'
            cand strip 'Strip a User ID'
        }
        &'sq;key;help;userid;add'= {
        }
        &'sq;key;help;userid;revoke'= {
        }
        &'sq;key;help;userid;strip'= {
        }
        &'sq;key;help;subkey'= {
            cand add 'Add a newly generated Subkey'
            cand revoke 'Revoke a subkey'
        }
        &'sq;key;help;subkey;add'= {
        }
        &'sq;key;help;subkey;revoke'= {
        }
        &'sq;key;help;attest-certifications'= {
        }
        &'sq;key;help;adopt'= {
        }
        &'sq;key;help;help'= {
        }
        &'sq;pki'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand authenticate 'Authenticate a binding'
            cand lookup 'Lookup the certificates associated with a User ID'
            cand identify 'Identify a certificate'
            cand certify 'Certify a User ID for a Certificate'
            cand link 'Manage authenticated certificate and User ID links'
            cand list 'List all authenticated bindings (User ID and certificate pairs)'
            cand path 'Verify the specified path'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;pki;authenticate'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --show-paths 'Show why a binding is authenticated'
            cand --email 'Changes the USERID parameter to match User IDs with the specified email address'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;lookup'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --show-paths 'Show why a binding is authenticated'
            cand --email 'Changes the USERID parameter to match User IDs with the specified email address'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;identify'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --show-paths 'Show why a binding is authenticated'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;certify'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand -d 'Set the trust depth'
            cand --depth 'Set the trust depth'
            cand -a 'Set the amount of trust'
            cand --amount 'Set the amount of trust'
            cand -r 'Add a regular expression to constrain what a trusted introducer can certify'
            cand --regex 'Add a regular expression to constrain what a trusted introducer can certify'
            cand --notation 'Add a notation to the certification.'
            cand --expiry 'Define EXPIRY for the certification as ISO 8601 formatted string or custom duration.'
            cand --private-key-store 'Provide parameters for private key store'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -l 'Make the certification a local certification'
            cand --local 'Make the certification a local certification'
            cand --non-revocable 'Mark the certification as being non-revocable'
            cand --email 'Treat the given user ID as an email address.'
            cand --add-userid 'Add the given user ID if it doesn''t exist.'
            cand --allow-not-alive-certifier 'Don''t fail if the certificate making the certification is not alive.'
            cand --allow-revoked-certifier 'Don''t fail if the certificate making the certification is revoked.'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;link'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand add 'Link a certificate and a User ID'
            cand retract 'Retract links'
            cand list 'List links'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;pki;link;add'= {
            cand -d 'Set the trust depth'
            cand --depth 'Set the trust depth'
            cand --ca 'Mark the certificate as a certification authority for a domain'
            cand -a 'Set the amount of trust'
            cand --amount 'Set the amount of trust'
            cand -r 'Add a regular expression to constrain what a trusted introducer can certify'
            cand --regex 'Add a regular expression to constrain what a trusted introducer can certify'
            cand --notation 'Add a notation to the certification.'
            cand --expiry 'Define EXPIRY for the acceptance as ISO 8601 formatted string or custom duration.'
            cand --userid 'A User ID to link to the certificate.'
            cand --email 'An email address to link to the certificate.'
            cand --petname 'A User ID to link to the certificate.'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --temporary 'Temporarily accepts the binding'
            cand --all 'Link all valid self-signed User ID to the certificate.'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;link;retract'= {
            cand --notation 'Add a notation to the certification.'
            cand --userid 'A User ID to unlink from the certificate.'
            cand --email 'An email address to unlink from the certificate.'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;link;list'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --ca 'Only lists bindings linked as CAs.'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;link;help'= {
            cand add 'Link a certificate and a User ID'
            cand retract 'Retract links'
            cand list 'List links'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;pki;link;help;add'= {
        }
        &'sq;pki;link;help;retract'= {
        }
        &'sq;pki;link;help;list'= {
        }
        &'sq;pki;link;help;help'= {
        }
        &'sq;pki;list'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --show-paths 'Show why a binding is authenticated'
            cand --email 'Changes the USERID parameter to match User IDs with the specified email address'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;path'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;help'= {
            cand authenticate 'Authenticate a binding'
            cand lookup 'Lookup the certificates associated with a User ID'
            cand identify 'Identify a certificate'
            cand certify 'Certify a User ID for a Certificate'
            cand link 'Manage authenticated certificate and User ID links'
            cand list 'List all authenticated bindings (User ID and certificate pairs)'
            cand path 'Verify the specified path'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;pki;help;authenticate'= {
        }
        &'sq;pki;help;lookup'= {
        }
        &'sq;pki;help;identify'= {
        }
        &'sq;pki;help;certify'= {
        }
        &'sq;pki;help;link'= {
            cand add 'Link a certificate and a User ID'
            cand retract 'Retract links'
            cand list 'List links'
        }
        &'sq;pki;help;link;add'= {
        }
        &'sq;pki;help;link;retract'= {
        }
        &'sq;pki;help;link;list'= {
        }
        &'sq;pki;help;list'= {
        }
        &'sq;pki;help;path'= {
        }
        &'sq;pki;help;help'= {
        }
        &'sq;autocrypt'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand import 'Import Autocrypt-encoded certificates'
            cand decode 'Read Autocrypt-encoded certificates'
            cand encode-sender 'Encode a certificate into an Autocrypt header'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;autocrypt;import'= {
            cand --recipient-file 'Decrypt the message using the key in KEY_FILE'
            cand --session-key 'Decrypt an encrypted message using SESSION-KEY'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;autocrypt;decode'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;autocrypt;encode-sender'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --email 'Set the address [default: primary userid]'
            cand --prefer-encrypt 'Set the prefer-encrypt attribute'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;autocrypt;help'= {
            cand import 'Import Autocrypt-encoded certificates'
            cand decode 'Read Autocrypt-encoded certificates'
            cand encode-sender 'Encode a certificate into an Autocrypt header'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;autocrypt;help;import'= {
        }
        &'sq;autocrypt;help;decode'= {
        }
        &'sq;autocrypt;help;encode-sender'= {
        }
        &'sq;autocrypt;help;help'= {
        }
        &'sq;network'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand fetch 'Retrieve certificates using all supported network services'
            cand keyserver 'Retrieve and publishes certificates via key servers'
            cand wkd 'Retrieve and publishes certificates via Web Key Directories'
            cand dane 'Retrieve and publishes certificates via DANE'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;fetch'= {
            cand -s 'Set the key server to use.  Can be given multiple times.'
            cand --server 'Set the key server to use.  Can be given multiple times.'
            cand -o 'Write to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --output 'Write to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand --all 'Fetch updates for all known certificates'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;keyserver'= {
            cand -s 'Set the key server to use.  Can be given multiple times.'
            cand --server 'Set the key server to use.  Can be given multiple times.'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand fetch 'Retrieve certificates from key servers'
            cand publish 'Publish certificates on key servers'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;keyserver;fetch'= {
            cand -o 'Write to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --output 'Write to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand -s 'Set the key server to use.  Can be given multiple times.'
            cand --server 'Set the key server to use.  Can be given multiple times.'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand --all 'Fetch updates for all known certificates'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;keyserver;publish'= {
            cand -s 'Set the key server to use.  Can be given multiple times.'
            cand --server 'Set the key server to use.  Can be given multiple times.'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --require-all 'Require that all publish operations succeed and return an error otherwise.  By default we only require that one publish operation succeeds.'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;keyserver;help'= {
            cand fetch 'Retrieve certificates from key servers'
            cand publish 'Publish certificates on key servers'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;keyserver;help;fetch'= {
        }
        &'sq;network;keyserver;help;publish'= {
        }
        &'sq;network;keyserver;help;help'= {
        }
        &'sq;network;wkd'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand generate 'Generate a Web Key Directory for the given domain and certs'
            cand fetch 'Retrieve certificates from a Web Key Directory'
            cand direct-url 'Print the direct Web Key Directory URL of an email address'
            cand url 'Print the advanced Web Key Directory URL of an email address'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;wkd;generate'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -d 'Use the direct method [default: advanced method]'
            cand --direct-method 'Use the direct method [default: advanced method]'
            cand -s 'Skip certificates that do not have User IDs for given domain.'
            cand --skip 'Skip certificates that do not have User IDs for given domain.'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;wkd;fetch'= {
            cand -o 'Write to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --output 'Write to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --all 'Fetch updates for all known certificates'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;wkd;direct-url'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;wkd;url'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;wkd;help'= {
            cand generate 'Generate a Web Key Directory for the given domain and certs'
            cand fetch 'Retrieve certificates from a Web Key Directory'
            cand direct-url 'Print the direct Web Key Directory URL of an email address'
            cand url 'Print the advanced Web Key Directory URL of an email address'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;wkd;help;generate'= {
        }
        &'sq;network;wkd;help;fetch'= {
        }
        &'sq;network;wkd;help;direct-url'= {
        }
        &'sq;network;wkd;help;url'= {
        }
        &'sq;network;wkd;help;help'= {
        }
        &'sq;network;dane'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand generate 'Generate DANE records for the given domain and certs'
            cand fetch 'Retrieve certificates using DANE'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;dane;generate'= {
            cand --ttl 'Set the TTL (maximum cache duration) of the resource records'
            cand --size-limit 'Try to shrink the certificates to this size'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --generic 'Emit generic resource records [default: OPENPGPKEY records]'
            cand -s 'Skip expired certificates and those that do not have User IDs for given domain.'
            cand --skip 'Skip expired certificates and those that do not have User IDs for given domain.'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;dane;fetch'= {
            cand -o 'Write to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --output 'Write to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --all 'Fetch updates for all known certificates'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;dane;help'= {
            cand generate 'Generate DANE records for the given domain and certs'
            cand fetch 'Retrieve certificates using DANE'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;dane;help;generate'= {
        }
        &'sq;network;dane;help;fetch'= {
        }
        &'sq;network;dane;help;help'= {
        }
        &'sq;network;help'= {
            cand fetch 'Retrieve certificates using all supported network services'
            cand keyserver 'Retrieve and publishes certificates via key servers'
            cand wkd 'Retrieve and publishes certificates via Web Key Directories'
            cand dane 'Retrieve and publishes certificates via DANE'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;help;fetch'= {
        }
        &'sq;network;help;keyserver'= {
            cand fetch 'Retrieve certificates from key servers'
            cand publish 'Publish certificates on key servers'
        }
        &'sq;network;help;keyserver;fetch'= {
        }
        &'sq;network;help;keyserver;publish'= {
        }
        &'sq;network;help;wkd'= {
            cand generate 'Generate a Web Key Directory for the given domain and certs'
            cand fetch 'Retrieve certificates from a Web Key Directory'
            cand direct-url 'Print the direct Web Key Directory URL of an email address'
            cand url 'Print the advanced Web Key Directory URL of an email address'
        }
        &'sq;network;help;wkd;generate'= {
        }
        &'sq;network;help;wkd;fetch'= {
        }
        &'sq;network;help;wkd;direct-url'= {
        }
        &'sq;network;help;wkd;url'= {
        }
        &'sq;network;help;dane'= {
            cand generate 'Generate DANE records for the given domain and certs'
            cand fetch 'Retrieve certificates using DANE'
        }
        &'sq;network;help;dane;generate'= {
        }
        &'sq;network;help;dane;fetch'= {
        }
        &'sq;network;help;help'= {
        }
        &'sq;toolbox'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand keyring 'Manage collections of keys or certs'
            cand extract-cert 'Convert a key to a cert'
            cand packet 'Low-level packet manipulation'
            cand armor 'Convert binary to ASCII'
            cand dearmor 'Convert ASCII to binary'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;keyring'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand list 'List keys in a keyring'
            cand split 'Split a keyring into individual keys'
            cand merge 'Merge keys or keyrings into a single keyring'
            cand filter 'Join keys into a keyring applying a filter'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;keyring;list'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --all-userids 'List all user ids'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;keyring;split'= {
            cand -p 'Write to files with PREFIX [defaults: `FILE-` if FILE is set, or `output-` if read from stdin]'
            cand --prefix 'Write to files with PREFIX [defaults: `FILE-` if FILE is set, or `output-` if read from stdin]'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;keyring;merge'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;keyring;filter'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --userid 'Match on USERID'
            cand --name 'Match on NAME'
            cand --email 'Match on email ADDRESS'
            cand --domain 'Match on email domain FQDN'
            cand --handle 'Match on (sub)key fingerprints and key ids'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -P 'Remove certificate components not matching the filter'
            cand --prune-certs 'Remove certificate components not matching the filter'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand --to-cert 'Convert any keys in the input to certificates.  Converting a key to a certificate removes secret key material from the key thereby turning it into a certificate.'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;keyring;help'= {
            cand list 'List keys in a keyring'
            cand split 'Split a keyring into individual keys'
            cand merge 'Merge keys or keyrings into a single keyring'
            cand filter 'Join keys into a keyring applying a filter'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;keyring;help;list'= {
        }
        &'sq;toolbox;keyring;help;split'= {
        }
        &'sq;toolbox;keyring;help;merge'= {
        }
        &'sq;toolbox;keyring;help;filter'= {
        }
        &'sq;toolbox;keyring;help;help'= {
        }
        &'sq;toolbox;extract-cert'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand dump 'List packets'
            cand decrypt 'Unwrap an encryption container'
            cand split 'Split a message into packets'
            cand join 'Join packets split across files'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;packet;dump'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --session-key 'Decrypt an encrypted message using SESSION-KEY'
            cand --recipient-file 'Decrypt the message using the key in KEY_FILE'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --mpis 'Print cryptographic artifacts'
            cand -x 'Print a hexdump'
            cand --hex 'Print a hexdump'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet;decrypt'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --recipient-file 'Decrypt the message using the key in KEY_FILE'
            cand --private-key-store 'Provide parameters for private key store'
            cand --session-key 'Decrypt an encrypted message using SESSION-KEY'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand --dump-session-key 'Print the session key to stderr'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet;split'= {
            cand -p 'Write to files with PREFIX [defaults: `FILE-` if FILE is set, or `output-` if read from stdin]'
            cand --prefix 'Write to files with PREFIX [defaults: `FILE-` if FILE is set, or `output-` if read from stdin]'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet;join'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --label 'Select the kind of armor header'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -B 'Emit binary data'
            cand --binary 'Emit binary data'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet;help'= {
            cand dump 'List packets'
            cand decrypt 'Unwrap an encryption container'
            cand split 'Split a message into packets'
            cand join 'Join packets split across files'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;packet;help;dump'= {
        }
        &'sq;toolbox;packet;help;decrypt'= {
        }
        &'sq;toolbox;packet;help;split'= {
        }
        &'sq;toolbox;packet;help;join'= {
        }
        &'sq;toolbox;packet;help;help'= {
        }
        &'sq;toolbox;armor'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --label 'Select the kind of armor header'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;dearmor'= {
            cand -o 'Write to FILE or stdout if omitted'
            cand --output 'Write to FILE or stdout if omitted'
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;help'= {
            cand keyring 'Manage collections of keys or certs'
            cand extract-cert 'Convert a key to a cert'
            cand packet 'Low-level packet manipulation'
            cand armor 'Convert binary to ASCII'
            cand dearmor 'Convert ASCII to binary'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;help;keyring'= {
            cand list 'List keys in a keyring'
            cand split 'Split a keyring into individual keys'
            cand merge 'Merge keys or keyrings into a single keyring'
            cand filter 'Join keys into a keyring applying a filter'
        }
        &'sq;toolbox;help;keyring;list'= {
        }
        &'sq;toolbox;help;keyring;split'= {
        }
        &'sq;toolbox;help;keyring;merge'= {
        }
        &'sq;toolbox;help;keyring;filter'= {
        }
        &'sq;toolbox;help;extract-cert'= {
        }
        &'sq;toolbox;help;packet'= {
            cand dump 'List packets'
            cand decrypt 'Unwrap an encryption container'
            cand split 'Split a message into packets'
            cand join 'Join packets split across files'
        }
        &'sq;toolbox;help;packet;dump'= {
        }
        &'sq;toolbox;help;packet;decrypt'= {
        }
        &'sq;toolbox;help;packet;split'= {
        }
        &'sq;toolbox;help;packet;join'= {
        }
        &'sq;toolbox;help;armor'= {
        }
        &'sq;toolbox;help;dearmor'= {
        }
        &'sq;toolbox;help;help'= {
        }
        &'sq;version'= {
            cand --home 'Set the home directory.'
            cand --key-store 'Override the key store server and its data'
            cand --cert-store 'Specify the location of the certificate store'
            cand --pep-cert-store 'Specify the location of a pEp certificate store'
            cand --keyring 'Specify the location of a keyring to use'
            cand --output-format 'Produce output in FORMAT, if possible'
            cand --output-version 'Produce output variant VERSION.'
            cand --known-notation 'Add NOTATION to the list of known notations'
            cand --time 'Set the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Consider the specified certificate to be a trust root'
            cand --default-output-version 'List the default output version'
            cand --output-versions 'List all the supported output versions'
            cand -f 'Overwrite existing files'
            cand --force 'Overwrite existing files'
            cand --no-key-store 'Disable the use of the key store.'
            cand --no-cert-store 'Disable the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;help'= {
            cand encrypt 'Encrypt a message'
            cand decrypt 'Decrypt a message'
            cand sign 'Sign messages or data files'
            cand verify 'Verify signed messages or detached signatures'
            cand inspect 'Inspect data, like file(1)'
            cand cert 'Manage certificates'
            cand key 'Manage keys'
            cand pki 'Authenticate certs using the Web of Trust'
            cand autocrypt 'Communicate certificates using Autocrypt'
            cand network 'Retrieve and publish certificates over the network'
            cand toolbox 'Tools for developers, maintainers, and forensic specialists'
            cand version 'Detailed version and output version information'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;help;encrypt'= {
        }
        &'sq;help;decrypt'= {
        }
        &'sq;help;sign'= {
        }
        &'sq;help;verify'= {
        }
        &'sq;help;inspect'= {
        }
        &'sq;help;cert'= {
            cand import 'Import certificates into the local certificate store'
            cand export 'Export certificates from the local certificate store'
            cand lint 'Check certificates for issues'
        }
        &'sq;help;cert;import'= {
        }
        &'sq;help;cert;export'= {
        }
        &'sq;help;cert;lint'= {
        }
        &'sq;help;key'= {
            cand list 'List keys managed by the key store'
            cand generate 'Generate a new key'
            cand import 'Import keys into the key store'
            cand export 'Export keys from the key store'
            cand password 'Change password protecting secrets'
            cand expire 'Change expiration times'
            cand revoke 'Revoke a certificate'
            cand userid 'Manage User IDs'
            cand subkey 'Manage Subkeys'
            cand attest-certifications 'Attest to third-party certifications'
            cand adopt 'Bind keys from one certificate to another'
        }
        &'sq;help;key;list'= {
        }
        &'sq;help;key;generate'= {
        }
        &'sq;help;key;import'= {
        }
        &'sq;help;key;export'= {
        }
        &'sq;help;key;password'= {
        }
        &'sq;help;key;expire'= {
        }
        &'sq;help;key;revoke'= {
        }
        &'sq;help;key;userid'= {
            cand add 'Add a User ID'
            cand revoke 'Revoke a User ID'
            cand strip 'Strip a User ID'
        }
        &'sq;help;key;userid;add'= {
        }
        &'sq;help;key;userid;revoke'= {
        }
        &'sq;help;key;userid;strip'= {
        }
        &'sq;help;key;subkey'= {
            cand add 'Add a newly generated Subkey'
            cand revoke 'Revoke a subkey'
        }
        &'sq;help;key;subkey;add'= {
        }
        &'sq;help;key;subkey;revoke'= {
        }
        &'sq;help;key;attest-certifications'= {
        }
        &'sq;help;key;adopt'= {
        }
        &'sq;help;pki'= {
            cand authenticate 'Authenticate a binding'
            cand lookup 'Lookup the certificates associated with a User ID'
            cand identify 'Identify a certificate'
            cand certify 'Certify a User ID for a Certificate'
            cand link 'Manage authenticated certificate and User ID links'
            cand list 'List all authenticated bindings (User ID and certificate pairs)'
            cand path 'Verify the specified path'
        }
        &'sq;help;pki;authenticate'= {
        }
        &'sq;help;pki;lookup'= {
        }
        &'sq;help;pki;identify'= {
        }
        &'sq;help;pki;certify'= {
        }
        &'sq;help;pki;link'= {
            cand add 'Link a certificate and a User ID'
            cand retract 'Retract links'
            cand list 'List links'
        }
        &'sq;help;pki;link;add'= {
        }
        &'sq;help;pki;link;retract'= {
        }
        &'sq;help;pki;link;list'= {
        }
        &'sq;help;pki;list'= {
        }
        &'sq;help;pki;path'= {
        }
        &'sq;help;autocrypt'= {
            cand import 'Import Autocrypt-encoded certificates'
            cand decode 'Read Autocrypt-encoded certificates'
            cand encode-sender 'Encode a certificate into an Autocrypt header'
        }
        &'sq;help;autocrypt;import'= {
        }
        &'sq;help;autocrypt;decode'= {
        }
        &'sq;help;autocrypt;encode-sender'= {
        }
        &'sq;help;network'= {
            cand fetch 'Retrieve certificates using all supported network services'
            cand keyserver 'Retrieve and publishes certificates via key servers'
            cand wkd 'Retrieve and publishes certificates via Web Key Directories'
            cand dane 'Retrieve and publishes certificates via DANE'
        }
        &'sq;help;network;fetch'= {
        }
        &'sq;help;network;keyserver'= {
            cand fetch 'Retrieve certificates from key servers'
            cand publish 'Publish certificates on key servers'
        }
        &'sq;help;network;keyserver;fetch'= {
        }
        &'sq;help;network;keyserver;publish'= {
        }
        &'sq;help;network;wkd'= {
            cand generate 'Generate a Web Key Directory for the given domain and certs'
            cand fetch 'Retrieve certificates from a Web Key Directory'
            cand direct-url 'Print the direct Web Key Directory URL of an email address'
            cand url 'Print the advanced Web Key Directory URL of an email address'
        }
        &'sq;help;network;wkd;generate'= {
        }
        &'sq;help;network;wkd;fetch'= {
        }
        &'sq;help;network;wkd;direct-url'= {
        }
        &'sq;help;network;wkd;url'= {
        }
        &'sq;help;network;dane'= {
            cand generate 'Generate DANE records for the given domain and certs'
            cand fetch 'Retrieve certificates using DANE'
        }
        &'sq;help;network;dane;generate'= {
        }
        &'sq;help;network;dane;fetch'= {
        }
        &'sq;help;toolbox'= {
            cand keyring 'Manage collections of keys or certs'
            cand extract-cert 'Convert a key to a cert'
            cand packet 'Low-level packet manipulation'
            cand armor 'Convert binary to ASCII'
            cand dearmor 'Convert ASCII to binary'
        }
        &'sq;help;toolbox;keyring'= {
            cand list 'List keys in a keyring'
            cand split 'Split a keyring into individual keys'
            cand merge 'Merge keys or keyrings into a single keyring'
            cand filter 'Join keys into a keyring applying a filter'
        }
        &'sq;help;toolbox;keyring;list'= {
        }
        &'sq;help;toolbox;keyring;split'= {
        }
        &'sq;help;toolbox;keyring;merge'= {
        }
        &'sq;help;toolbox;keyring;filter'= {
        }
        &'sq;help;toolbox;extract-cert'= {
        }
        &'sq;help;toolbox;packet'= {
            cand dump 'List packets'
            cand decrypt 'Unwrap an encryption container'
            cand split 'Split a message into packets'
            cand join 'Join packets split across files'
        }
        &'sq;help;toolbox;packet;dump'= {
        }
        &'sq;help;toolbox;packet;decrypt'= {
        }
        &'sq;help;toolbox;packet;split'= {
        }
        &'sq;help;toolbox;packet;join'= {
        }
        &'sq;help;toolbox;armor'= {
        }
        &'sq;help;toolbox;dearmor'= {
        }
        &'sq;help;version'= {
        }
        &'sq;help;help'= {
        }
    ]
    $completions[$command]
}
